Module tdlight.api
Package it.tdlight.jni

# Class TdApi.StoryContent

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.StoryContent

Direct Known Subclasses:
  `TdApi.StoryContentPhoto`, `TdApi.StoryContentUnsupported`, `TdApi.StoryContentVideo`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.StoryContent extends TdApi.Object permits TdApi.StoryContentPhoto, TdApi.StoryContentVideo, TdApi.StoryContentUnsupported
This class is an abstract base class. Contains the content of a story.

## Constructor Summary

Constructors
Constructor
Description
`StoryContent()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### StoryContent

public StoryContent()
Default class constructor.